Skip to main content
PATCH
/
v3
/
events
Publish update events to Fiddler Platform
curl --request PATCH \
  --url https://{host}/v3/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source": {
    "events": [
      {}
    ]
  },
  "env_name": "<string>"
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "event_ids": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model_id
string<uuid>
required
env_type
enum<string>
required
Available options:
PRODUCTION,
PRE_PRODUCTION
source
object
required
env_name
string | null

Response

Events uploaded

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object